Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::concepts::IndirectlyMovable Struct Reference

## Public Member Functions
template<typename I , typename O >
auto | requires_ () -> decltype(concepts::valid_expr(concepts::model_of< Readable, I >(), concepts::model_of< Writable, O, Readable::rvalue_reference_t< I >>()))